# artistic_ui

A new Flutter project.

## Getting Started

This project is a starting point for a Flutter application.

A few resources to get you started if this is your first Flutter project:

- [Lab: Write your first Flutter app](https://flutter.dev/docs/get-started/codelab)
- [Cookbook: Useful Flutter samples](https://flutter.dev/docs/cookbook)

For help getting started with Flutter, view our
[online documentation](https://flutter.dev/docs), which offers tutorials,
samples, guidance on mobile development, and a full API reference.

# Fancy Containers

custom ui package lets you add a beautiful gradient container and buttons to your Flutter app.

## Installation

1. Add the latest version of package to your pubspec.yaml (and run`dart pub get`):
```yaml
dependencies:
  custom_ui: ^0.0.1
```
2. Import the package and use it in your Flutter App.
```dart
import 'package:custom_ui/custom_ui.dart';
```

## Example
There are a number of properties that you can modify:

-  height
- width
- text size
- text color
- container color
- container shadow
- container border
- shadow color

<hr>

<table>
<tr>
<td>

```dart
class FancyScreen extends StatelessWidget {  
  const FancyScreen({Key? key}) : super(key: key);  
  
  @override  
  Widget build(BuildContext context) {  
    return Scaffold(  
      body: Center(  
        child: const CustomButton(
           onPressed: () {
            print("THis is the ui button");
          },
          text: "UI",
          containerColor: Colors.white,
          padding: 20.0,
          shadowColor: Colors.pinkAccent,
          borderRadius: 30.0,
          textColor: Colors.pink,
          fontSize: 13.0,
        ),
      ),  
    );  
  }  
}
```

</td>
<td>
<img  src="https://github.com/Usamamajid13/custom_ui/blob/master/Screenshot_20220226_144934.png"  alt="">
</td>
</tr>
</table>